Table of Contents

## Name

glClearColor - specify clear values for the color buffers

## C Specification

void glClearColor( GLclampf red,

        GLclampf green,
        GLclampf blue,
        GLclampf alpha )

## Parameters

red, green, blue, alpha
  Specify the red, green, blue, and alpha values used when the color buffers are cleared. The initial values are all 0.

## Description

glClearColor specifies the red, green, blue, and alpha values used by glClear to clear the color buffers. Values specified by glClearColor are clamped to the range [0, 1].

## Errors

GL_INVALID_OPERATION is generated if glClearColor is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_COLOR_CLEAR_VALUE

## See Also

glClear(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also